Paul Daniels | 10 Nov 14:52 2012

Re: Open GL dependencies

On Sat, 2012-11-10 at 13:19 +0100, Mike Gabriel wrote:
> Hi Paul,
> 
> On Sa 10 Nov 2012 08:12:36 CET Paul Daniels wrote:
> 
> > I've got a kivy project that would work well with x2go.  Running the
> > program in a normal window works with open GL being reported as OpenGL
> > version <2.1 Mesa 8.0.4>
> >
> > but when running on linux via x2go it reports as <1.2 (1.5 Mesa 6.4.1)>
> > before segfaulting.  Kivy apparently needs a newer open GL version.
> >
> > Can anyone give me, ANY, hints as to where I should go looking.
> > Thanks,
> 
> X2Go ships x2goagent (nx-libs.git on http://git.x2go.org).
> 
> And once you look at the code of nx-libs you will realize that  
> nx-libs.git is a complete Xorg fork (at the time of Xorg 6.9).
> 
> Bringing a newer OpenGL to X2Go means patching it into nx-libs.git.
> 
> This can be some sort of a major task...
> 
> Mike
> 
> 
> _______________________________________________
> X2Go-User mailing list
> X2Go-User@...
> https://lists.berlios.de/mailman/listinfo/x2go-user

Thanks for your quick reply Mike. I feared as much. 

Paul


Gmane